#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Regexp
%define		pnam	Common
Summary:	Regexp::Common Perl module - commonly requested regular expressions
Summary(pl.UTF-8):	Moduł Perla Regexp::Common - często używane wyrażenia regularne
Name:		perl-Regexp-Common
Version:	2017060201
Release:	1%{?tld}
License:	Artistic or Artistic v2.0 or BSD or MIT
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Regexp/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b1bb40759b84154990f36a160160fb94
URL:		https://metacpan.org/release/Regexp-Common
BuildRequires:	perl-devel >= 1:5.10.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# not recognized for unknown reason
%define		_noautoreq_perl	Regexp::Common::URI

%description
This package contains Regexp::Common module that stores or generates
commonly needed regular expressions. Patterns currently provided
include:
 * balanced parentheses and brackets
 * delimited text (with escapes)
 * integers and floating-point numbers in any base (up to 36)
 * comments in C, C++, Perl, and shell
 * offensive language
 * lists of any pattern
 * IPv4 addresses
 * URIs

%description -l pl.UTF-8
Ten pakiet zawiera moduł Regexp::Common, który zawiera lub generuje
często potrzebne wyrażenia regularne. Aktualnie zawiera wzorce dla:
 * zrównoważonych nawiasów
 * ograniczonego tekstu (z cytowaniem)
 * liczb całkowitych i zmiennoprzecinkowych o dowolnej podstawie (do 36)
 * komentarzy w C, C++, Perlu i shellu
 * słów obraźliwych (w języku angielskim)
 * list o dowolnym wzorcu
 * adresów IPv4.
 * URI

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.BSD COPYRIGHT.MIT Changes LICENSE README TODO
%{perl_vendorlib}/Regexp/Common.pm
%{perl_vendorlib}/Regexp/Common
%{_mandir}/man3/Regexp::Common*.3pm*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Regexp-Common.git;a=log;h=master

* Wed Oct 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 70053e4
- updated dependencies, package licensing information

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 8a0b91f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c0a372d
- up to 2017060201

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 7bd44ad
- updated to 2013031301

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 362bbe3
- unified Source URL

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> ddd0b88
- up to 2011121001

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a633bfc
- up to 2011041701

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b52f600
- updated to 2010010201

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e04a66
- up to 2.122

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b06a601
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d218762
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9c09bc8
- converted to UTF-8

* Sat Jul 23 2005 radek <radek@pld-linux.org> dc4c92c
- version 2.120

* Fri Jan 07 2005 Adam Gołębiowski <adamg@pld-linux.org> 866ec9c
- release 2 (for fixed deps on ac-i386)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> d52cdb1
- updated to 2.119

* Mon Dec 27 2004 Adam Gołębiowski <adamg@pld-linux.org> fd24808
- updated to 2.118

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5f9634f
- formatting

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 5bce6af
- obsolete

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> a547eff
- removed obsolete test patch

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> d75a516
- updated to 2.117
- commented out test.patch, we'll see if it is still needed

